Bug 1254320 - [New HostSetupNetworks] if no changes were done- setup networks shouldn't be invoked
[New HostSetupNetworks] if no changes were done- setup networks shouldn't be ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Martin Mucha
Pavel Stehlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 13:19 EDT by Alona Kaplan
Modified: 2016-02-10 14:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 10:42:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danken: ovirt‑3.6.z?
ylavi: planning_ack+
danken: devel_ack+
ylavi: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45335 master MERGED engine,webadmin: do not invoke HostSetupNetworksCommand where no changes were made Never
oVirt gerrit 49435 ovirt-engine-3.6 MERGED engine,webadmin: do not invoke HostSetupNetworksCommand where no changes were made Never

  None (edit)
Description Alona Kaplan 2015-08-17 13:19:38 EDT
Description of problem:

If the updated attachment/bond is identical to the original one- setup networks should ignore it.

This fix will fix the following bugs-
1. Opening the edit dialog of "out-of-sync" network and clicking ok-> then clicking ok in the setup networks window.
Since the ui adds the attachment to the params even if no change was done- the result is- can do action of "editing out-of-sync network is not permitted". Although no change was done.

Fixing the engine side should be enough. The engine should ignore this attachment.

2. Sending setup networks command with the existing attachments/bonds as the parameters. Result- setup network is invoked on the host although no changes are needed. 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 07:00:17 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Red Hat Bugzilla Rules Engine 2015-10-26 12:56:23 EDT
This request has been proposed for two releases. This is invalid flag usage. The higher numbered release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.
Comment 3 Yaniv Lavi 2015-10-29 08:30:03 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 4 Sandro Bonazzola 2015-12-23 08:42:27 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 5 Pavel Stehlik 2016-01-13 10:42:37 EST
Closing old bugs. In case still happens, pls reopen.

Note You need to log in before you can comment on or make changes to this bug.